Index: src/src/wxAUI/manager.h
===================================================================
--- src/src/wxAUI/manager.h	(revision 3395)
+++ src/src/wxAUI/manager.h	(working copy)
@@ -12,6 +12,32 @@
 #ifndef __WXAUI_WXAUI_H
 #define __WXAUI_WXAUI_H
 
+#include <wx/version.h>
+#if wxCHECK_VERSION(2, 8, 0)
+#include <wx/aui/aui.h>
+#define wxAUI_ART_SASH_SIZE wxAUI_DOCKART_SASH_SIZE
+#define wxAUI_ART_CAPTION_SIZE wxAUI_DOCKART_CAPTION_SIZE
+#define wxAUI_ART_GRIPPER_SIZE wxAUI_DOCKART_GRIPPER_SIZE
+#define wxAUI_ART_PANE_BORDER_SIZE wxAUI_DOCKART_PANE_BORDER_SIZE
+#define wxAUI_ART_PANE_BUTTON_SIZE wxAUI_DOCKART_PANE_BUTTON_SIZE
+#define wxAUI_ART_BACKGROUND_COLOUR wxAUI_DOCKART_BACKGROUND_COLOUR
+#define wxAUI_ART_SASH_COLOUR wxAUI_DOCKART_SASH_COLOUR
+#define wxAUI_ART_ACTIVE_CAPTION_COLOUR wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR
+#define wxAUI_ART_ACTIVE_CAPTION_GRADIENT_COLOUR wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR
+#define wxAUI_ART_INACTIVE_CAPTION_COLOUR wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR
+#define wxAUI_ART_INACTIVE_CAPTION_GRADIENT_COLOUR wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR
+#define wxAUI_ART_ACTIVE_CAPTION_TEXT_COLOUR wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR
+#define wxAUI_ART_INACTIVE_CAPTION_TEXT_COLOUR wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR
+#define wxAUI_ART_BORDER_COLOUR wxAUI_DOCKART_BORDER_COLOUR
+#define wxAUI_ART_GRIPPER_COLOUR wxAUI_DOCKART_GRIPPER_COLOUR
+#define wxAUI_ART_CAPTION_FONT wxAUI_DOCKART_CAPTION_FONT
+#define wxAUI_ART_GRADIENT_TYPE wxAUI_DOCKART_GRADIENT_TYPE
+#define wxFrameManager wxAuiManager
+#define wxDockArt wxAuiDockArt
+#define wxPaneInfo wxAuiPaneInfo
+#define wxPaneInfoArray wxAuiPaneInfoArray
+#else // VERSION(2, 6, 3)
+
 enum wxFrameManagerDock
 {
     wxAUI_DOCK_NONE = 0,
@@ -769,5 +795,6 @@
 #define EVT_AUI_PANEBUTTON(func) \
    wx__DECLARE_EVT0(wxEVT_AUI_PANEBUTTON, wxFrameManagerEventHandler(func))
 
+#endif // wxCHECK_VERSION
 
 #endif
Index: src/src/wxAUI/manager.cpp
===================================================================
--- src/src/wxAUI/manager.cpp	(revision 3395)
+++ src/src/wxAUI/manager.cpp	(working copy)
@@ -14,6 +14,7 @@
 #include <wx/image.h>
 #include "manager.h"
 
+#if (!(wxCHECK_VERSION(2, 8, 0)))
 
 // -- various array and event implementations --
 
@@ -4286,3 +4287,5 @@
         Update();
     }
 }
+
+#endif // wxCHECK_VERSION
